Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » Update fails(Help -> Check for updates fails on clean installation of Eclipse RCP)
Update fails [message #488123] Fri, 25 September 2009 11:44 Go to next message
Mark Freiheit is currently offline Mark Freiheit
Messages: 30
Registered: July 2009
Member
Hello Group.

I have downloaded the most recent eclipse RCP (Build id: 20090619-0625), working off of java 1.6_16. As soon as I open eclipse, I attempt to check for updates (help->Check for Updates). I am presented with the available update...

Eclipse for RCP/Plug-in Developers 1.2.1.20090918-0703

When I attempt to run this update, I get an error (listed below).

In fact, attempting to install the aspecJ plug-in (http://download.eclipse.org/tools/ajdt/35/update) and the knoplerfish plug-in (http://www.knopflerfish.org/eclipse-update) gives me the same error.

Does anyone know what this error means? Has anyone had a similar problem, or knows a work-around?

Thanks in advance -- Mark Freiheit

An error occurred while collecting items to be installed
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.provisional.p2.engine.pha ses.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.ibm.icu.source,4.0.1.v20090822
No repository found containing: osgi.bundle,org.eclipse.ant.core.source,3.2.100.v20090817_r3 51
No repository found containing: osgi.bundle,org.eclipse.ant.ui,3.4.1.v20090901_r351
No repository found containing: osgi.bundle,org.eclipse.ant.ui.source,3.4.1.v20090901_r351
No repository found containing: osgi.bundle,org.eclipse.core.contenttype.source,3.4.1.R35x_v 20090826-0451
No repository found containing: osgi.bundle,org.eclipse.core.databinding.observable.source,1 .2.0.M20090902-0800
No repository found containing: osgi.bundle,org.eclipse.core.databinding.property.source,1.2 .0.M20090819-0800
No repository found containing: osgi.bundle,org.eclipse.core.databinding.source,1.2.0.M20090 819-0800
No repository found containing: osgi.bundle,org.eclipse.core.net.source,1.2.1.r35x_20090812- 1200
No repository found containing: osgi.bundle,org.eclipse.core.resources.source,3.5.1.R35x_v20 090826-0451
No repository found containing: osgi.bundle,org.eclipse.cvs,1.0.300.v200909170800
No repository found containing: osgi.bundle,org.eclipse.cvs.source,1.0.300.v200909170800
No repository found containing: osgi.bundle,org.eclipse.debug.ui.source,3.5.1.v20090811_r351
No repository found containing: osgi.bundle,org.eclipse.ecf.filetransfer.source,3.0.0.v20090 831-1906
No repository found containing: osgi.bundle,org.eclipse.ecf.identity.source,3.0.0.v20090831- 1906
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient .ssl.source,1.0.0.v20090831-1906
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.ssl.source ,1.0.0.v20090831-1906
No repository found containing: osgi.bundle,org.eclipse.ecf.source,3.0.0.v20090831-1906
No repository found containing: osgi.bundle,org.eclipse.ecf.ssl.source,1.0.0.v20090831-1906
No repository found containing: osgi.bundle,org.eclipse.equinox.common.source,3.5.1.R35x_v20 090807-1100
No repository found containing: osgi.bundle,org.eclipse.equinox.ds.source,1.1.1.R35x_v200908 06
No repository found containing: osgi.bundle,org.eclipse.equinox.launcher.source,1.0.201.R35x _v20090715
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.artifact.repository.sourc e,1.0.101.R35x_v20090721
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.core.source,1.0.101.R35x_ v20090819
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.engine.source,1.0.101.R35 x_v20090825
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.metadata.repository.sourc e,1.0.101.R35x_v20090812
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.repository.source,1.0.1.v 20090901-1041
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.repository.tools.source,1 .0.1.R35x_v20090806
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.touchpoint.eclipse.source ,1.0.101.R35x_20090820-1821
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.touchpoint.natives.source ,1.0.101.R35x_v20090806
No repository found containing: osgi.bundle,org.eclipse.equinox.p2.ui.source,1.0.101.R35x_v2 0090819
No repository found containing: osgi.bundle,org.eclipse.equinox.simpleconfigurator.source,1. 0.101.R35x_v20090807-1100
No repository found containing: osgi.bundle,org.eclipse.help.base.source,3.4.0.v200909170800
No repository found containing: osgi.bundle,org.eclipse.help.source,3.4.1.v20090805_35x
No repository found containing: osgi.bundle,org.eclipse.help.ui.source,3.4.1.v20090819_35x
No repository found containing: osgi.bundle,org.eclipse.help.webapp.source,3.4.1.v20090819_3 5x
No repository found containing: osgi.bundle,org.eclipse.jdt,3.5.1.v200909170800
No repository found containing: osgi.bundle,org.eclipse.jdt.apt.core,3.3.201.R35x_v20090818- 0235
No repository found containing: osgi.bundle,org.eclipse.jdt.apt.core.source,3.3.201.R35x_v20 090818-0235
No repository found containing: osgi.bundle,org.eclipse.jdt.apt.pluggable.core,1.0.201.R35x_ v20090818-0225
No repository found containing: osgi.bundle,org.eclipse.jdt.apt.pluggable.core.source,1.0.20 1.R35x_v20090818-0225
No repository found containing: osgi.bundle,org.eclipse.jdt.compiler.apt,1.0.201.R35x_v20090 825-1530
No repository found containing: osgi.bundle,org.eclipse.jdt.compiler.apt.source,1.0.201.R35x _v20090825-1530
No repository found containing: osgi.bundle,org.eclipse.jdt.compiler.tool,1.0.100.v_972_R35x
No repository found containing: osgi.bundle,org.eclipse.jdt.compiler.tool.source,1.0.100.v_9 72_R35x
No repository found containing: osgi.bundle,org.eclipse.jdt.core,3.5.1.v_972_R35x
No repository found containing: osgi.bundle,org.eclipse.jdt.core.source,3.5.1.v_972_R35x
No repository found containing: osgi.bundle,org.eclipse.jdt.debug.ui,3.4.1.v20090811_r351
No repository found containing: osgi.bundle,org.eclipse.jdt.debug.ui.source,3.4.1.v20090811_ r351
No repository found containing: osgi.bundle,org.eclipse.jdt.doc.isv,3.5.1.r351_v20090831
No repository found containing: osgi.bundle,org.eclipse.jdt.doc.user,3.5.1.r351_v20090821-08 00
No repository found containing: osgi.bundle,org.eclipse.jdt.junit,3.5.1.r351_v20090708-0800
No repository found containing: osgi.bundle,org.eclipse.jdt.junit.source,3.5.1.r351_v2009070 8-0800
No repository found containing: osgi.bundle,org.eclipse.jdt.source,3.5.1.v200909170800
No repository found containing: osgi.bundle,org.eclipse.jdt.ui,3.5.1.r351_v20090821-0800
No repository found containing: osgi.bundle,org.eclipse.jdt.ui.source,3.5.1.r351_v20090821-0 800
No repository found containing: osgi.bundle,org.eclipse.jface.databinding.source,1.3.1.M2009 0826-0800
No repository found containing: osgi.bundle,org.eclipse.jface.source,3.5.1.M20090826-0800
No repository found containing: osgi.bundle,org.eclipse.jface.text.source,3.5.1.r351_v200907 08-0800
No repository found containing: osgi.bundle,org.eclipse.osgi.source,3.5.1.R35x_v20090827
No repository found containing: osgi.bundle,org.eclipse.pde,3.4.100.v200909170800
No repository found containing: osgi.bundle,org.eclipse.pde.api.tools,1.0.101.v20090714
No repository found containing: osgi.bundle,org.eclipse.pde.api.tools.source,1.0.101.v200907 14
No repository found containing: osgi.bundle,org.eclipse.pde.api.tools.ui,1.0.101.v20090820
No repository found containing: osgi.bundle,org.eclipse.pde.api.tools.ui.source,1.0.101.v200 90820
No repository found containing: osgi.bundle,org.eclipse.pde.build,3.5.1.R35x_20090820
No repository found containing: osgi.bundle,org.eclipse.pde.build.source,3.5.1.R35x_20090820
No repository found containing: osgi.bundle,org.eclipse.pde.core,3.5.100.v20090821
No repository found containing: osgi.bundle,org.eclipse.pde.core.source,3.5.100.v20090821
No repository found containing: osgi.bundle,org.eclipse.pde.doc.user,3.5.0.v20090818
No repository found containing: osgi.bundle,org.eclipse.pde.runtime,3.4.100.v20090731
No repository found containing: osgi.bundle,org.eclipse.pde.runtime.source,3.4.100.v20090731
No repository found containing: osgi.bundle,org.eclipse.pde.source,3.4.100.v200909170800
No repository found containing: osgi.bundle,org.eclipse.pde.ui,3.5.0.v20090821
No repository found containing: osgi.bundle,org.eclipse.pde.ui.source,3.5.0.v20090821
No repository found containing: osgi.bundle,org.eclipse.platform.doc.isv,3.5.1.r351_v2009083 1
No repository found containing: osgi.bundle,org.eclipse.platform.source,3.3.201.v20090917080 0
No repository found containing: osgi.bundle,org.eclipse.rcp.source,3.5.0.v200909170800
No repository found containing: osgi.bundle,org.eclipse.search.source,3.5.1.r351_v20090708-0 800
No repository found containing: osgi.bundle,org.eclipse.swt.win32.win32.x86.source,3.5.1.v35 55a
No repository found containing: osgi.bundle,org.eclipse.team.cvs.ui,3.3.201.R35x_v20090826-0 905
No repository found containing: osgi.bundle,org.eclipse.team.cvs.ui.source,3.3.201.R35x_v200 90826-0905
No repository found containing: osgi.bundle,org.eclipse.ui.forms.source,3.4.1.v20090714_35x
No repository found containing: osgi.bundle,org.eclipse.ui.ide.application.source,1.0.101.M2 0090826-0800
No repository found containing: osgi.bundle,org.eclipse.ui.ide.source,3.5.1.M20090826-0800
No repository found containing: osgi.bundle,org.eclipse.ui.intro.source,3.3.1.v20090805_35x
No repository found containing: osgi.bundle,org.eclipse.ui.navigator.resources.source,3.4.1. M20090826-0800
No repository found containing: osgi.bundle,org.eclipse.ui.navigator.source,3.4.1.M20090911- 1550
No repository found containing: osgi.bundle,org.eclipse.ui.net.source,1.2.1.r35x_20090812-12 00
No repository found containing: osgi.bundle,org.eclipse.ui.source,3.5.1.M20090902-1000
No repository found containing: osgi.bundle,org.eclipse.ui.views.log,1.0.100.v20090731
No repository found containing: osgi.bundle,org.eclipse.ui.views.log.source,1.0.100.v2009073 1
No repository found containing: osgi.bundle,org.eclipse.ui.views.source,3.4.1.M20090826-0800
No repository found containing: osgi.bundle,org.eclipse.ui.workbench.source,3.5.1.M20090826- 0800a
No repository found containing: osgi.bundle,org.eclipse.update.ui.source,3.2.201.R35x_v20090 813
No repository found containing: osgi.bundle,org.junit4,4.5.0.v20090824
No repository found containing: osgi.bundle,org.junit4.source,4.5.0.v20090824
No repository found containing: org.eclipse.update.feature,org.eclipse.cvs,1.1.101.R35x_v200 90811-7E79FEd9KKF5H2YDWFLLBL01A16
No repository found containing: org.eclipse.update.feature,org.eclipse.cvs.source,1.1.101.R3 5x_v20090811-7E79FEd9KKF5H2YDWFLLBL01A16
No repository found containing: binary,org.eclipse.cvs_root,1.1.101.R35x_v20090811-7E79FEd9K KF5H2YDWFLLBL01A16
No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.user.ui.so urce,1.1.1.R35x_v20090811-7u6FbEFYXk1qWdbS0gnpRg2932
No repository found containing: org.eclipse.update.feature,org.eclipse.help.source,1.1.1.R35 x_v20090811-7e7eFAnFEx2XZoYz0uPgIfwD
No repository found containing: org.eclipse.update.feature,org.eclipse.jdt,3.5.1.r351_v20090 810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ
No repository found containing: org.eclipse.update.feature,org.eclipse.jdt.source,3.5.1.r351 _v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ
No repository found containing: binary,org.eclipse.jdt_root,3.5.1.r351_v20090810-0600-7r88FE oFI0WTo6Az-1qFRHm37ChJ
No repository found containing: org.eclipse.update.feature,org.eclipse.pde,3.5.1.R35x_v20090 811-7Z7_F9zFDX-aT6Ywvh8_S93
No repository found containing: org.eclipse.update.feature,org.eclipse.pde.source,3.5.1.R35x _v20090811-7Z7_F9zFDX-aT6Ywvh8_S93
No repository found containing: org.eclipse.update.feature,org.eclipse.platform.source,3.5.1 .R35x_v20090910-9gEeG1_FthkNDSP2odXdThaOu9GFDPn83DGB7
No repository found containing: org.eclipse.update.feature,org.eclipse.rcp.source,3.5.1.R35x _v20090811-9SA0FxVFqE70OL1ARMrfcO6e7BA6
Re: Update fails [message #488135 is a reply to message #488123] Fri, 25 September 2009 12:08 Go to previous message
Mark Freiheit is currently offline Mark Freiheit
Messages: 30
Registered: July 2009
Member
I updated from the site again and found SR1, Build id: 20090920-1017

This does not produce the update/plug-in installation errors I was seeing earlier.

Thanks -- Mark
Previous Topic:NullPointerException while updating RCP application
Next Topic:deadlock at startup in the class EclipseAppContainer
Goto Forum:
  


Current Time: Wed Jul 30 03:16:31 EDT 2014

Powered by FUDForum. Page generated in 0.04691 seconds